- var schema = [{name: 'legend'},{title: __('personal'),type: 'group',items: [{name: 'sex',localed: true,title: __('sex')},{name: 'birthday',validateField: 'is_bd_visible',title: __('birthday'),type: 'date'}]},{name: 'educations',title: __('education'),type: 'array',items: [{name: 'city',title: __('city')},{name: 'place',title: __('education_place')},{name: 'profession',title: __('profession')},{name: 'start_date',title: __('date_start'),type: 'date'},{name: 'end_date',title: __('date_end'),type: 'date'}]},{title: __('achievements'),type: 'group',items: [{name: 'title',title: __('degree')}]},{name: 'contact_id',type: 'json',title: __('contact_m'),items: [{name: 'city',title: __('city')},{name: 'fields',type: 'array',items: [{name: 'value',titleField: 'type', params: 'style="margin-left: -20px"'}]}]}]

//- - var schema = [
//-   {
//-     name: 'legend'
//-   },
//-   {
//-     title: __('personal'),
//-     type: 'group',
//-     items: [
//-       {
//-         name: 'sex',
//-         localed: true,
//-         title: __('sex')
//-       },
//-       {
//-         name: 'birthday',
//-         validateField: 'is_bd_visible',
//-         title: __('birthday'),
//-         type: 'date'
//-       }
//-     ]
//-   },
//-   {
//-     name: 'educations',
//-     title: __('education'),
//-     type: 'array',
//-     items: [
//-       {
//-         name: 'city',
//-         title: __('city')
//-       },
//-       {
//-         name: 'place',
//-         title: __('education_place')
//-       },
//-       {
//-         name: 'profession',
//-         title: __('profession')
//-       },
//-       {
//-         name: 'start_date',
//-         title: __('date_start'),
//-         type: 'date'
//-       },
//-       {
//-         name: 'end_date',
//-         title: __('date_end'),
//-         type: 'date'
//-       }
//-     ]
//-   },
//-   {
//-     title: __('achievements'),
//-     type: 'group',
//-     items: [
//-       {
//-         name: 'title',
//-         title: __('degree')
//-       }
//-     ]
//-   },
//-   {
//-     name: 'contact_id',
//-     type: 'json',
//-     title: __('contact_m'),
//-     items: [
//-       {
//-         name: 'city',
//-         title: __('city')
//-       },
//-       {
//-         name: 'fields',
//-         type: 'array',
//-         items: [
//-           {
//-             name: 'value',
//-             titleField: 'type'
//-           }
//-         ]
//-       }
//-     ]
//-   }
//- ]



.User
  != Html.create_profile(user, schema, locale)